## org.apache.batik.gvt
Class CompositeShapePainter

    java.lang.Object
      org.apache.batik.gvt.CompositeShapePainter

All Implemented Interfaces:
  ShapePainter

public class CompositeShapePainter
extends java.lang.Object
implements ShapePainter

A shape painter which consists of multiple shape painters.

Field Summary
`protected int` `count` The number of shape painter.
`protected ShapePainter[]` `painters` The enclosed `ShapePainter`s of this composite shape painter.
`protected java.awt.Shape` `shape` The shape associated with this painter

Constructor Summary
`CompositeShapePainter(java.awt.Shape shape)` Constructs a new empty `CompositeShapePainter`.

Method Summary
`void` `addShapePainter(ShapePainter shapePainter)` Adds the specified shape painter to the shape painter..
`java.awt.Shape` `getPaintedArea()` Returns the area painted by this shape painter.
`java.awt.geom.Rectangle2D` `getPaintedBounds2D()` Returns the bounds of the area painted by this shape painter
`java.awt.Shape` `getSensitiveArea()` Returns the area covered by this shape painter (even if nothing is painted there).
`java.awt.geom.Rectangle2D` `getSensitiveBounds2D()` Returns the bounds of the area painted by this shape painter
`java.awt.Shape` `getShape()` Gets the Shape this shape painter is associated with.
`ShapePainter` `getShapePainter(int index)` Returns the shape painter at the specified index.
`int` `getShapePainterCount()` Returns the number of shape painter of this composite shape painter.
`boolean` `inPaintedArea(java.awt.geom.Point2D pt)` Returns true if pt is in the area painted by this shape painter
`boolean` `inSensitiveArea(java.awt.geom.Point2D pt)` Returns true if pt is in the area painted by this shape painter
`void` `paint(java.awt.Graphics2D g2d)` Paints the specified shape using the specified Graphics2D.
`void` `setShape(java.awt.Shape shape)` Sets the Shape this shape painter is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shape

    protected java.awt.Shape shape

  The shape associated with this painter

### painters

    protected ShapePainter[] painters

  The enclosed `ShapePainter`s of this composite shape painter.

### count

    protected int count

  The number of shape painter.

Constructor Detail

### CompositeShapePainter

    public CompositeShapePainter(java.awt.Shape shape)

  Constructs a new empty `CompositeShapePainter`.

Method Detail

### addShapePainter

    public void addShapePainter(ShapePainter shapePainter)

  Adds the specified shape painter to the shape painter..

  Parameters:
    `shapePainter` - the shape painter to add

### getShapePainter

    public ShapePainter getShapePainter(int index)

  Returns the shape painter at the specified index.

  Parameters:
    `index` - the index of the shape painter to return

### getShapePainterCount

    public int getShapePainterCount()

  Returns the number of shape painter of this composite shape painter.

### paint

    public void paint(java.awt.Graphics2D g2d)

  Paints the specified shape using the specified Graphics2D.

  Specified by:
    `paint` in interface `ShapePainter`
  Parameters:
    `g2d` - the Graphics2D to use

### getPaintedArea

    public java.awt.Shape getPaintedArea()

  Returns the area painted by this shape painter.

  Specified by:
    `getPaintedArea` in interface `ShapePainter`

### getPaintedBounds2D

    public java.awt.geom.Rectangle2D getPaintedBounds2D()

  Returns the bounds of the area painted by this shape painter

  Specified by:
    `getPaintedBounds2D` in interface `ShapePainter`

### inPaintedArea

    public boolean inPaintedArea(java.awt.geom.Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inPaintedArea` in interface `ShapePainter`

### getSensitiveArea

    public java.awt.Shape getSensitiveArea()

  Returns the area covered by this shape painter (even if nothing is painted there).

  Specified by:
    `getSensitiveArea` in interface `ShapePainter`

### getSensitiveBounds2D

    public java.awt.geom.Rectangle2D getSensitiveBounds2D()

  Returns the bounds of the area painted by this shape painter

  Specified by:
    `getSensitiveBounds2D` in interface `ShapePainter`

### inSensitiveArea

    public boolean inSensitiveArea(java.awt.geom.Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inSensitiveArea` in interface `ShapePainter`

### setShape

    public void setShape(java.awt.Shape shape)

  Sets the Shape this shape painter is associated with.

  Specified by:
    `setShape` in interface `ShapePainter`
  Parameters:
    `shape` - new shape this painter should be associated with. Should not be null.

### getShape

    public java.awt.Shape getShape()

  Gets the Shape this shape painter is associated with.

  Specified by:
    `getShape` in interface `ShapePainter`
  Returns:
    shape associated with this painter

Copyright © 2004 Apache Software Foundation. All Rights Reserved.